org.glassfish.jersey.server.wadl

## Class WadlFeature

- java.lang.Object
- - org.glassfish.jersey.server.wadl.WadlFeature

All Implemented Interfaces:
  jakarta.ws.rs.core.Feature

    public class WadlFeature
    extends Object
    implements jakarta.ws.rs.core.Feature

Feature enabling WADL processing. The feature registers providers and binders needed to enable wadl in the jersey application. One of the providers is `wadl model processor` which enhances current resources by additional wadl resources like `/application.wadl` and wadl options method.

Author:
  Miroslav Fuksa

### Constructor Summary

Constructors
Constructor and Description
`WadlFeature()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `configure(jakarta.ws.rs.core.FeatureContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WadlFeature

    public WadlFeature()

### Method Detail

#### configure

    public boolean configure(jakarta.ws.rs.core.FeatureContext context)

Specified by:
  `configure` in interface `jakarta.ws.rs.core.Feature`